<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:include href="style.xsl"/>

<xsl:output method="html"/>  

<xsl:template match="/message">
<html>
<xsl:call-template name="greenstoneHead"/>
<body xsl:use-attribute-sets="body-style">

<xsl:call-template name="greenstonePageBanner"/>
<center>
<xsl:apply-templates select="collectionList"/>
</center>
<xsl:call-template name="greenstoneFooter"/>
</body>
</html>
</xsl:template>



<xsl:template match="collectionList">
<xsl:for-each select="collection"> 
<p><a href="library?a=p&amp;p=about&amp;c={@name}"><img width="150" border="1"><xsl:attribute name="src">/gsdl3/images/sites/localsite/collect/<xsl:value-of select="@name"/>/images/<xsl:value-of select="metadata[@name='icon']"/></xsl:attribute><xsl:attribute name="alt"><xsl:value-of select="metadata[@name='title']"/></xsl:attribute></img></a></p>
</xsl:for-each>
</xsl:template> 


<xsl:template match="serviceList">
Services available are:

Transforms:
<xsl:for-each select="service[@type='transform']"> 
<xsl:value-of select="@name"/>.
</xsl:for-each>

Enrichs:
<xsl:for-each select="service[@type='enrich']"> 
<xsl:value-of select="@name"/>.
</xsl:for-each>

Querys:
<xsl:for-each select="service[@type='query']"> 
<xsl:value-of select="@name"/>.
</xsl:for-each>

</xsl:template> 


</xsl:stylesheet>  
